cd "P:\Personal Folders\anneyr\stata9\talk"
insheet using txt\excel_test.txt,clear
rename familyno FAMILY
save x.dta,replace

*GENERATE FAMILY PATIENT ALLELE1 ALLELE2 MENDEL FATHER MOTHER SEX AFFSTAT MARKER

******************************FATHER******************************
	use x.dta,clear
	keep FAMILY father
	gen a="F"
	egen PATIENT=concat(FAMILY a)
	gen ALLELE1="0"
	gen ALLELE2="0"
		replace ALLELE1="INS" if father=="11"
		replace ALLELE1="INS" if father=="12"
		replace ALLELE1="DEL" if father=="22"
		replace ALLELE2="INS" if father=="11"
		replace ALLELE2="DEL" if father=="12"
		replace ALLELE2="DEL" if father=="22"
	gen MENDEL=2
	gen FATHER="0"
	gen MOTHER="0"
	gen SEX=1
	gen AFFSTAT=0
	gen MARKER="HTTLPR"
	save a.dta,replace
******************************MOTHER******************************
	use x.dta,clear
	keep FAMILY mother
	gen a="M"
	egen PATIENT=concat(FAMILY a)
	gen ALLELE1="0"
	gen ALLELE2="0"
		replace ALLELE1="INS" if mother=="11"
		replace ALLELE1="INS" if mother=="12"
		replace ALLELE1="DEL" if mother=="22"
		replace ALLELE2="INS" if mother=="11"
		replace ALLELE2="DEL" if mother=="12"
		replace ALLELE2="DEL" if mother=="22"
	gen MENDEL=2
	gen FATHER="0"
	gen MOTHER="0"
	gen SEX=2
	gen AFFSTAT=0
	gen MARKER="HTTLPR"
	save b.dta,replace
******************************CHILD******************************
	use x.dta,clear
	keep FAMILY child
	gen a="C1"
	gen b="F"
	gen c="M"
	egen PATIENT=concat(FAMILY a)
	gen ALLELE1="0"
	gen ALLELE2="0"
		replace ALLELE1="INS" if child=="11"
		replace ALLELE1="INS" if child=="12"
		replace ALLELE1="DEL" if child=="22"
		replace ALLELE2="INS" if child=="11"
		replace ALLELE2="DEL" if child=="12"
		replace ALLELE2="DEL" if child=="22"
	gen MENDEL=2
	egen FATHER=concat(FAMILY b)
	egen MOTHER=concat(FAMILY c)
	gen SEX=0
	gen AFFSTAT=2
	gen MARKER="HTTLPR"
	save c.dta,replace
******************************COMBINE AND OUTPUT******************************
	use a.dta,clear
	append using b.dta
	append using c.dta
sort FAMILY PATIENT
	save x.dta,replace
		use x.dta,clear
		keep PATIENT MARKER ALLELE1 ALLELE2 MENDEL
		outsheet using output\HTTLPR.GEN,replace noquote
		use x.dta,clear
		keep PATIENT FAMILY FATHER MOTHER SEX
		outsheet using output\HTTLPR.PED,replace noquote
		use x.dta,clear
		keep PATIENT AFFSTAT
		outsheet using output\HTTLPR.AFF,replace noquote
		
	erase x.dta
	erase a.dta
	erase b.dta
	erase c.dta


		
	

